aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/run_tests/artifacts/build_artifact_csharp_ios.sh
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@google.com>2018-07-23 23:26:56 +0200
committerGravatar Jan Tattermusch <jtattermusch@google.com>2018-07-24 09:56:44 +0200
commitd9ad1c3f93540572b2336fdf584eed8bc87495b6 (patch)
tree75fbf01c842c28631fdaf6d9b332babdfad76cae /tools/run_tests/artifacts/build_artifact_csharp_ios.sh
parent5bb8a33eb26a347bc790620552649c957dcc17e5 (diff)
building ios artifact
Diffstat (limited to 'tools/run_tests/artifacts/build_artifact_csharp_ios.sh')
-rwxr-xr-xtools/run_tests/artifacts/build_artifact_csharp_ios.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/tools/run_tests/artifacts/build_artifact_csharp_ios.sh b/tools/run_tests/artifacts/build_artifact_csharp_ios.sh
new file mode 100755
index 0000000000..8b3c7a17b3
--- /dev/null
+++ b/tools/run_tests/artifacts/build_artifact_csharp_ios.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright 2016 The gRPC Authors
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+cd "$(dirname "$0")/../../.."
+
+src/csharp/experimental/build_native_ext_for_ios.sh
+
+mkdir -p "${ARTIFACTS_OUT}"
+cp libs/ios_arm64/libgrpc_csharp_ext.a libs/ios_arm64/libgrpc.a "${ARTIFACTS_OUT}"